#!/usr/bin/env bash

set -ex

PLUGINS=$(ls -d -- */)
export PLUGINS

case $1 in
    build|clean|test|format|deploy) action=$1;;
    *)                action="build";;
esac

description="${action^}ing"

for plugin in ${PLUGINS};
do
    echo "${description} ${plugin}..."
    cd "${plugin}"
    npm install
    npm run "${action}"
    cd ..
done
