import nunjucks from "nunjucks";
import {rookeriesConfig} from "../package.json";  // eslint-disable-line
import fs from "fs";

const TEMPLATE_JS = "template/syntax-highlighting.njk";
const RENDERED_JS = "src/syntax-highlighting.js";
const {languages} = rookeriesConfig;

const renderedScript = nunjucks.render(TEMPLATE_JS, {languages});
fs.writeFileSync(RENDERED_JS, renderedScript);
